/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizappointmenttime.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizappointmenttime.entity.BizAppointmentTime;
import vip.xiaonuo.biz.modular.bizappointmenttime.param.BizAppointmentTimeAddParam;
import vip.xiaonuo.biz.modular.bizappointmenttime.param.BizAppointmentTimeEditParam;
import vip.xiaonuo.biz.modular.bizappointmenttime.param.BizAppointmentTimeIdParam;
import vip.xiaonuo.biz.modular.bizappointmenttime.param.BizAppointmentTimePageParam;

import java.util.List;

/**
 * 预约时段配置Service接口
 *
 * @author fanzherong
 * @date  2025/03/20 17:46
 **/
public interface BizAppointmentTimeService extends IService<BizAppointmentTime> {

    /**
     * 获取预约时段配置分页
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     */
    Page<BizAppointmentTime> page(BizAppointmentTimePageParam bizAppointmentTimePageParam);

    /**
     * 添加预约时段配置
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     */
    void add(BizAppointmentTimeAddParam bizAppointmentTimeAddParam);

    /**
     * 编辑预约时段配置
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     */
    void edit(BizAppointmentTimeEditParam bizAppointmentTimeEditParam);

    /**
     * 删除预约时段配置
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     */
    void delete(List<BizAppointmentTimeIdParam> bizAppointmentTimeIdParamList);

    /**
     * 获取预约时段配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     */
    BizAppointmentTime detail(BizAppointmentTimeIdParam bizAppointmentTimeIdParam);

    /**
     * 获取预约时段配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 17:46
     **/
    BizAppointmentTime queryEntity(String id);

    /** 获取预约时段下拉列表*/
    List<BizAppointmentTime> getDownList();
}
